/**
 * Copyright (c) 2000-2017 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * pSubscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portlet.journal.util;

import com.liferay.portal.kernel.security.pacl.permission.PortalRuntimePermission;
import com.liferay.portlet.journal.FolderNameException;

/**
 * @author David Zhang
 */
public class JournalValidatorUtil {

	public static JournalValidator getJournalValidator() {
		PortalRuntimePermission.checkGetBeanProperty(
			JournalValidatorUtil.class);

		return _journalValidator;
	}

	public static boolean isValidName(String name) {
		return getJournalValidator().isValidName(name);
	}

	public static final void validateFolderName(String folderName)
		throws FolderNameException {

		getJournalValidator().validateFolderName(folderName);
	}

	public void setJournalValidator(JournalValidator journalValidator) {
		PortalRuntimePermission.checkSetBeanProperty(getClass());

		_journalValidator = journalValidator;
	}

	private static JournalValidator _journalValidator;

}